Subject: Power On-Line
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 30 Jun 2000 01:38:00 -0700 (PDT)

Allan,
Please call Fred and discuss.

Thanks,
mike
---------------------- Forwarded by Mike McConnell/HOU/ECT on 06/30/2000 
08:36 AM ---------------------------

Fred L Kelly@ENRON_DEVELOPMENT
06/29/2000 11:39 AM
To: Mike McConnell/HOU/ECT@ECT, Cathy Phillips/HOU/ECT@ECT
cc:  
Subject: Power On-Line

Who would you recommend as a contact from Enron?
---------------------- Forwarded by Fred L Kelly/ENRON_DEVELOPMENT on 
06/29/2000 11:35 AM ---------------------------

Dale Baker <[email-masked]> on 06/21/2000 08:21:22 AM
To: "[email-masked] <[email-masked]>'" 
<[email-masked]>
cc: "[email-masked] <[email-masked]>'" 
<[email-masked]>, "[email-masked] 
<[email-masked]>'" <[email-masked]> 

Subject: Power On-Line

Dear Mr. Izzo:

I'd like to offer EECC a free "Storefront" on my VerticalNet Web-site Power
On-Line.

http://www.poweronline.com

A Storefront is a Company Showcase where EECC can reach the 100K+ visitors
that come to Power On-Line to read content, search for products and company
information and conduct eCommerce over the Internet.

Power On-Line is a VerticalNet Community that is dedicated to Power
Generation Professionals in the Power Industry worldwide.

Microsoft has teamed with VerticalNet and will be paying for this service
for one year.  It is free, with no commitments or strings attached.

Please forward to me a contact and telephone number of the person I should
further discuss this with at EECC.  Also, if you could forward the same
information on a contact at ENRON Corporate, I would like to offer the same
opportunity.

Thank you, for your time.

DALE G. BAKER
VerticalNet, Inc.
http://www.verticalnet.com
Nat'l Sales Manager
Power On-Line
(215) 219-9706